1. 7.1 Monitored Fleet Management
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
    • 4.2 Port-to-Port Route Planning
    • 4.3 ETA Query
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
      • 5.1.2 Tropical Cyclone Details by Point
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
        POST
      • 7.1.2 Update Fleet Information
        POST
      • 7.1.3 Query Fleet
        GET
      • 7.1.4 Delete Fleet
        DELETE
      • 7.1.5 Add Vessels to Fleet
        POST
      • 7.1.6 Batch Update Vessels in Fleet
        POST
      • 7.1.7 Remove Vessels from Fleet
        POST
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
      POST
    • 7.5 Arrival/Departure Event Push
      POST
    • 7.6 Vessel Dynamic ETA Push
      POST
    • 7.7 Vessel AIS Signal Loss Event Push
      POST
    • 7.8 Vessel STS Event Push
      POST
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 7.1 Monitored Fleet Management

7.1.5 Add Vessels to Fleet

POST
https://api.elaneglobal.com/v1/Event/AddVesselToFleet
Endpoint
EndpointHTTP Method
https://api.elaneglobal.com/v1/Event/AddVesselToFleetPost
Example API Call
https://api.elaneglobal.com/v1/Event/AddVesselToFleet?key=1F6D701272402D1E7D8D316CCE519123&fleet_id=3f2062c6-b796-4a03-b923-48628794dd86&mmsis=413983657
Note:
The key 1F6D701272402D1E7D8D316CCE519123 is the official key of Shipfinder.com, bound to the domain api.shipfinder.com.
Users are not authorized to use this key for data access—utilizing it will return a status code 14, indicating an error in the source domain.
To trial the service, please create your own key in the Dashboard. New users receive a complimentary usage quota upon API key creation.
Note: When adding vessels to a fleet, the system will validate your vessel monitoring quota. If the total number of vessels exceeds your permitted limit, the system will return the error: "The number of vessels exceeds the permission limit." You may add an unlimited number of vessels to a fleet that has no monitoring permissions bound (this option is available when creating fleets via the dashboard). However, such fleets will not support any query or monitoring functions. The same quota validation will apply if you bind monitoring permissions to this fleet at a later stage, and the same over-limit error will be triggered if applicable. |

Request

Body Params application/jsonRequired

Example
{
    "key": "1F6D701272402D1E7D8D316CCE519123",
    "fleet_id": "3f2062c6-b796-4a03-b923-48628794dd86",
    "mmsis": "413983657"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.elaneglobal.com/v1/Event/AddVesselToFleet' \
--header 'Content-Type: application/json' \
--data-raw '{
    "key": "1F6D701272402D1E7D8D316CCE519123",
    "fleet_id": "3f2062c6-b796-4a03-b923-48628794dd86",
    "mmsis": "413983657"
}'

Responses

⚪0success
application/json
Body

Example
{
  "status": 0,
  "msg": "",
  "data": {
    "fleet_id": "3f2062c6-b796-4a03-b923-48628794dd86",
    "fleet_name": "myfleet123",
    "mmsis": "412751690,413983657,477985700",
    "monitor": "6"
  }
}
Previous
7.1.4 Delete Fleet
Next
7.1.6 Batch Update Vessels in Fleet
Built with